/* global woocommerce_params */
/* global wc_add_to_cart_params */

(function ($) {
	$(document).on('click', 'body.seamless-add-to-cart .single_add_to_cart_button', function (e) {
		e.preventDefault();

		var $thisbutton = $(this),
			$form = $thisbutton.closest('form.cart'),
			id = $thisbutton.val(),
			product_qty = $form.find('input[name=quantity]').val() || 1,
			product_id = $form.find('input[name=product_id]').val() || id;

		var data = {
			product_id: product_id,
			quantity: product_qty,
		};

		var requestUrl = woocommerce_params.wc_ajax_url.toString().replace( '%%endpoint%%', 'add_to_cart' );

		var navCart = $( 'li.nav-cart' );

		$.ajax({
			type: 'post',
			url: requestUrl,
			data: data,
			beforeSend: function () {
				$thisbutton.removeClass('added').addClass('loading');
			},
			complete: function () {
				$thisbutton.removeClass('loading').removeClass('added');
			},
			success: function (response) {

				if (response.error & response.product_url) {
					window.location = response.product_url;
					return;
				} else {
					if( navCart.length > 0 ){

						navCart.addClass( 'hestia-anim-cart' );
						setTimeout(
							function () {
								navCart.removeClass( 'hestia-anim-cart' );
							}, 2000
						);
					}
					$(document.body).trigger('added_to_cart', [response.fragments, response.cart_hash, $thisbutton]);
				}
			},
		});

		return false;
	});
})(jQuery);
